package net.customware.license.support;

import java.util.Collection;

import de.schlichtherle.license.LicenseParam;

public interface ValidatingLicenseParam extends LicenseParam {
    /**
     * Gets the application-specific context object for the current context.
     * This will be passed to the {@link Exemption} and {@link Restriction}
     * instances when validating. May be <code>null</code> if none is
     * required.
     * 
     * @return The app-specific context object.
     */
    Object getContext();

    /**
     * The list of exemptors.
     * 
     * @return the list of {@link Exemption}s.
     */
    Collection<Exemption> getExemptions();

    /**
     * The list of validators.
     * 
     * @return the list of {@link Restriction}s.
     */
    Collection<Restriction> getRestrictions();
}
