package net.customware.license.support.store;

import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.InputStream;

/**
 * Provides access to a key store from a byte array.
 * 
 * @author David Peterson
 */
public class ByteArrayStoreProvider implements StoreProvider {
    private byte[] bytes;

    public ByteArrayStoreProvider( byte[] bytes ) {
        this.bytes = bytes;
    }

    public InputStream createInputStream() throws IOException {
        return new ByteArrayInputStream( bytes );
    }
}
