package net.customware.license.support.store;

import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;

public class ResourceStoreProvider implements StoreProvider {
    private String resourceName;

    private Class<?> clazz;

    public ResourceStoreProvider( String resourceName, Class<?> clazz ) {
        this.resourceName = resourceName;
        this.clazz = clazz;
    }

    public InputStream createInputStream() throws IOException {
        InputStream in = clazz.getResourceAsStream( resourceName );

        if ( in == null )
            throw new FileNotFoundException( resourceName );

        return in;
    }
}
